%{?nodejs_find_provides_and_requires}
Name:                nodejs-abbrev
Version:             1.1.1
Release:             1
Summary:             Abbreviation calculator for Node.js
License:             MIT
URL:                 https://github.com/isaacs/abbrev-js
Source0:             https://github.com/npm/abbrev-js/archive/refs/tags/v1.1.1.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%autosetup -n abbrev-js-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/abbrev
cp -pr abbrev.js package.json %{buildroot}%{nodejs_sitelib}/abbrev
%nodejs_symlink_deps

%check
node abbrev.js

%files
%{nodejs_sitelib}/abbrev
%doc README.md
%license LICENSE

%changelog
* Wed Jun 29 2022 chenchen <chen_aka_jan@163.com> - 1.1.1-1
- Update to 1.1.1

* Sat Aug 8 2020 wutao <wutao61@huawei.com> - 1.0.7-1
- package init
